Apache log4cxx Version @version@

Public Member Functions | List of all members
SyslogWriter Class Reference

SyslogWriter is a wrapper around the DatagramSocket class it writes text to the specified host on the port 514 (UNIX syslog) More...

`#include <syslogwriter.h>`

## Public Member Functions
| SyslogWriter (const LogString &syslogHost, int syslogHostPort=514)
void | write (const LogString &string)

## Detailed Description

SyslogWriter is a wrapper around the DatagramSocket class it writes text to the specified host on the port 514 (UNIX syslog)

## Constructor & Destructor Documentation

## ◆ SyslogWriter()

SyslogWriter | ( | const LogString & | syslogHost,
|  | int | syslogHostPort = `514`
| ) |  |

## Member Function Documentation

## ◆ write()

void write | ( | const LogString & | string | ) |

The documentation for this class was generated from the following file:

- syslogwriter.h